Bug 1332090 (CVE-2015-8869) - CVE-2015-8869 ocaml: sizes arguments are sign-extended from 32 to 64 bits
Summary: CVE-2015-8869 ocaml: sizes arguments are sign-extended from 32 to 64 bits
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8869
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160428,repor...
Depends On: 1332091 1343081 1343082 1343100 1343101 1343103 1344243
Blocks: 1332092
TreeView+ depends on / blocked
 
Reported: 2016-05-02 08:08 UTC by Andrej Nemec
Modified: 2019-06-08 21:10 UTC (History)
4 users (show)

Fixed In Version: ocaml 4.03.0
Doc Type: Bug Fix
Doc Text:
An integer conversion flaw was found in the way OCaml's String handled its length. Certain operations on an excessively long String could trigger a buffer overflow or result in an information leak.
Clone Of:
Environment:
Last Closed: 2017-03-21 09:02:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1296 normal SHIPPED_LIVE Moderate: ocaml security update 2016-06-23 19:43:55 UTC
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC
Red Hat Product Errata RHSA-2017:0564 normal SHIPPED_LIVE Moderate: libguestfs security and bug fix update 2017-03-21 12:21:18 UTC
Red Hat Product Errata RHSA-2017:0565 normal SHIPPED_LIVE Moderate: ocaml security update 2017-03-21 12:21:41 UTC

Description Andrej Nemec 2016-05-02 08:08:50 UTC
OCaml versions 4.02.3 and earlier have a runtime bug that, on 64-bit platforms, causes sizes arguments to an internal memmove call to be sign-extended from 32 to 64-bits before being passed to the memmove function.

This leads arguments between 2GiB and 4GiB to be interpreted as larger than they are (specifically, a bit below 2^64), causing a buffer overflow.

Arguments between 4GiB and 6GiB are interpreted as 4GiB smaller than they should be, causing a possible information leak.

References:

http://seclists.org/oss-sec/2016/q2/165

Upstream fix:

https://github.com/ocaml/ocaml/commit/659615c7b100a89eafe6253e7a5b9d84d0e8df74#diff-a97df53e3ebc59bb457191b496c90762

Comment 1 Andrej Nemec 2016-05-02 08:09:08 UTC
Created ocaml tracking bugs for this issue:

Affects: fedora-all [bug 1332091]

Comment 3 Fedora Update System 2016-05-09 00:04:00 UTC
ocaml-4.02.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-15 05:31:11 UTC
ocaml-4.02.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2016-06-23 15:44:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1296 https://access.redhat.com/errata/RHSA-2016:1296

Comment 11 errata-xmlrpc 2016-11-03 18:00:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2576 https://rhn.redhat.com/errata/RHSA-2016-2576.html

Comment 13 errata-xmlrpc 2017-03-21 08:56:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0564 https://rhn.redhat.com/errata/RHSA-2017-0564.html

Comment 14 errata-xmlrpc 2017-03-21 08:56:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0565 https://rhn.redhat.com/errata/RHSA-2017-0565.html


Note You need to log in before you can comment on or make changes to this bug.